<div class="module-order row" ng-controller="order.DetailCtrl as detailCtrl">
    <div class="col-xs-12">
        <ol class="breadcrumb" ng-if="!isAdmin">
            <li><a ui-sref="book.list">差旅管理</a></li>
            <li><a ui-sref="book.list">方案详情</a></li>
            <li class="active ng-binding">订单详情</li>
        </ol>
        <ol class="breadcrumb" ng-if="isAdmin">
            <li><a ui-sref="ent.credit">信用管理</a></li>
            <li><a ui-sref="ent.credit">信用查看和还款记录</a></li>
            <li class="active ng-binding">订单详情</li>
        </ol>
    </div>
    <div class="col-xs-12 col-md-7 col-lg-8 product-info">
        <!-- 20150610-订单详情-start -->
        <section class="panel order-process productbody2016">
            <header class="panel-heading border">
                <span class="order-num bold">{{vm.basicInfo.number}}</span>
                <span class="text-blue">{{vm.basicStatusText}}</span>
                <span class="pull-right">{{vm.basicInfo.date | date:'yyyy-MM-dd hh:mm'}}</span>
            </header>
            <div class="panel-body">
                <div id="orderStatusBar">
                    <ol class="go-progtrckr go-progtrckr-horizontal" id="orderProcess">
                        <li class="go-progtrckr-done">
                            <div class="go-progtrckr-item">
                                <div class="go-progtrckr-text">
                                    <span>1</span>
                                </div>
                                <div class="text-blue textp">
                                    订单生成
                                </div>
                            </div>
                        </li>
                        <li ng-class="{true:'go-progtrckr-done',false:'go-progtrckr-todo'}[vm.basicInfo.payFlag]">
                            <div class="go-progtrckr-item">
                                <div class="go-progtrckr-text">
                                    <span>2</span>
                                </div>
                                <div class="textp" ng-class="{true:'text-blue',false:'text-brown'}[vm.basicInfo.payFlag]">
                                    订单支付
                                </div>
                            </div>
                        </li>
                        <li ng-class="{true:'go-progtrckr-done',false:'go-progtrckr-todo'}[vm.basicInfo.tripOperation]">
                            <div class="go-progtrckr-item">
                                <div class="go-progtrckr-text">
                                    <span>3</span>
                                </div>
                                <div class="textp" ng-class="{true:'text-blue',false:'text-brown'}[vm.basicInfo.tripOperation]">
                                    行程生效
                                </div>
                            </div>
                        </li>
                    </ol>
                </div>
            </div>
        </section>
        <!-- 机票信息 -->
        <section class="productbody2016">
            <!-- 机票信息 -->
            <header class="panel panel-title product-header" ng-click="vm.airTicketsShow = !vm.airTicketsShow">
                <span class="pull-right text-muted">
                    <i class="fa fa-sort-desc" aria-hidden="true" ng-show="!vm.airTicketsShow"></i>
                    <i class="fa fa-sort-asc" aria-hidden="true" ng-show="vm.airTicketsShow"></i>
                </span>
                机票
            </header>
            <div class="panel-body no-padding" ng-if="vm.airTicketsShow">
                <ul class="row list-style-none pay-hg">
                    <li class="col-sm-12 col-md-12 col-lg-6 mb10" ng-repeat="airTicket in vm.productInfo.airTickets">
                        <section class="panel bordered">
                            <section class="panel-body order-header">
                                <div class="base-info">
                                    <span class="pull-right" ng-if="airTicket.airwayStatus == '98'">已退</span>
                                    <span>{{airTicket.info}}</span>
                                </div>
                                <div class="item-block addressair">
                                    <p>{{airTicket.departureTime | date:'yyyy-MM-dd'}}</p>
                                    <time class="time">{{airTicket.departureTime | date:'hh:mm'}}</time>
                                    <p class="text-break-space" title="{{airTicket.from}}">{{airTicket.from}}</p>
                                </div>
                                <div class="item-block-time">
                                    <div class="timeline">
                                        <time ng-if="airTicket.transitcode">中转</time>
                                    </div>
                                    <p></p>
                                </div>
                                <div class="item-block addressair">
                                    <p>{{airTicket.arricalTime | date:'yyyy-MM-dd'}}</p>
                                    <time class="time">{{airTicket.arricalTime | date:'hh:mm'}}</time>
                                    <p>{{airTicket.to}}</p>
                                </div>
                            </section>
                            <section class="panel-body">
                                <div class="item-content  pay-hg">
                                    <div>约<span class="durationTime">{{ airTicket.durationTime | timeString }}</span>  <span class="airline">{{airTicket.cabin}}</span></div>
                                    <div class="layout-table m-t-2 airpassengerBox">
                                        <div class="row">
                                            <label class="mb0 ftext201614">人员:</label>
                                            <div class="ml15 airpassenger" ng-repeat="passenger in airTicket.people">
                                                <span>{{passenger.name}}</span>
                                                <span>{{passenger.passengerId}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="layout-table m-t-2">
                                        <div class="row">
                                            <div class="layout-item">
                                                <label class="mb0 ftext201614">单价:</label>&nbsp;&nbsp;
                                                <span class="price">¥{{airTicket.price | price}}</span>
                                                <span>(成人票/张)</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div dropdown>
                                        <button class="btn btn-link text-light-gray mln20" type="button" dropdown-toggle="dropdown-menu"> <i class="fa fa-document"></i>
                                            退改签政策
                                        </button>
                                        <div class="dropdown-menu panel-body overflow-dropdown">
                                            <p class="content-word-break">{{airTicket.policy}}</p>
                                            <div class="empty-msg empty-msg-sm" ng-if="!airTicket.policy">
                                                <p class="msg">无退改签政策信息</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </section>
                        </section>
                    </li>
                </ul>
            </div>
        </section>
        <!-- 酒店信息 -->
        <section class="productbody2016">
            <!-- 酒店信息 -->
             <header class="panel panel-title product-header" ng-click="vm.hotelShow = !vm.hotelShow">
                <span class="pull-right text-muted">
                    <i class="fa fa-sort-desc" aria-hidden="true" ng-show="!vm.hotelShow"></i>
                    <i class="fa fa-sort-asc" aria-hidden="true" ng-show="vm.hotelShow"></i>
                </span>
                酒店
            </header>
            <div class="panel-body no-padding" ng-if="vm.hotelShow">
                <ul class="row list-style-none">
                    <li class="col-sm-12 col-lg-6 mb10" ng-repeat="hotel in vm.productInfo.hotalInfo">
                        <section class="panel bordered">
                            <section class="panel-body order-header">
                                <div class="base-info">
                                    <span class="pull-right" ng-if="hotel.status == 98">已退</span>
                                    <span>{{hotel.name}}(<span>{{hotel.paymentType}}</span>)</span>
                                </div>
                                <div class="item-block hotle">
                                    <p class="airport">入住日期</p>
                                    <time class="time">{{hotel.checkinDate | date:'yyyy-MM-dd'}}</time>
                                </div>
                                <div class="item-block-time">
                                    <p class="timeline">
                                    </p>
                                </div>
                                <div class="item-block hotle">
                                    <p class="airport">离店日期</p>
                                    <time class="time">{{hotel.checkoutDate | date:'yyyy-MM-dd'}}</time>
                                </div>
                            </section>
                            <section class="panel-body">
                                <div class="item-content  pay-hg">
                                    <div>{{hotel.roomType}} {{hotel.roomCount}}间 共{{hotel.days}}晚</div>
                                    <div>{{hotel.address}}</div>
                                    <div class="layout-table m-t-2">
                                        <div class="row">
                                            <label class="mb0 ftext201614">人员:</label>&nbsp;&nbsp;
                                            <span ng-repeat="passenger in hotel.people">
                                                {{passenger.name}}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="layout-table m-t-2">
                                        <div class="row">
                                            <div class="layout-item">
                                                <label class="mb0 ftext201614">总价:</label>&nbsp;&nbsp;
                                                <span class="price">¥{{hotel.price | price}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div dropdown>
                                        <button class="btn btn-link text-light-gray mln20" type="button" dropdown-toggle="dropdown-menu"> <i class="fa fa-document"></i>
                                            退改签政策
                                        </button>
                                        <div class="dropdown-menu panel-body overflow-dropdown">
                                            <p class="content-word-break">{{hotel.policy}}</p>
                                            <div class="empty-msg empty-msg-sm" ng-if="!hotel.policy">
                                                <p class="msg">无退改签政策信息</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </section>
                        </section>
                    </li>
                </ul>
            </div>
        </section>
        <!-- 其他项信息 -->
        <section class="productbody2016">
            <!-- 其他项信息信息 -->
            <header class="panel panel-title product-header" ng-click="vm.otherShow = !vm.otherShow">
                <span class="pull-right text-muted">
                    <i class="fa fa-sort-desc" aria-hidden="true" ng-show="!vm.otherShow"></i>
                    <i class="fa fa-sort-asc" aria-hidden="true" ng-show="vm.otherShow"></i>
                </span>
                其他项
            </header>
            <div class="panel-body no-padding" ng-if="vm.otherShow">
                <ul class="row list-style-none">
                    <li class="col-sm-12 col-lg-6 mb10" ng-repeat="other in vm.productInfo.otherInfo">
                        <section class="panel bordered">
                            <section class="panel-body order-header">
                                <div class="base-info">
                                    <span class="pull-right" ng-if="other.status == 98">已退</span>
                                    <span>{{other.name}}({{other.paymentType}})</span>
                                </div>
                                <div class="item-block">
                                    <time class="time">{{other.dateBegin | date:'yyyy-MM-dd'}}</time>
                                </div>
                                <div class="item-block-time">
                                    <p class="timeline">
                                    </p>
                                </div>
                                <div class="item-block">
                                    <time class="time">{{other.dateEnd | date:'yyyy-MM-dd'}}</time>
                                </div>
                            </section>
                            <section class="panel-body">
                                <div class="item-content  pay-hg">
                                    <div class="layout-table m-t-2">
                                        <div class="row">
                                            <label class="mb0 ftext201614">人员:</label>&nbsp;&nbsp;
                                            <span ng-repeat="user in other.people">
                                                {{user.name}}
                                            </span>
                                        </div>
                                    </div>
                                    <!-- <div>共2张</div> -->
                                    <div class="layout-table m-t-2">
                                        <div class="row">
                                            <div class="layout-item">
                                                <label class="mb0 ftext201614">单价:</label>&nbsp;&nbsp;
                                                <span class="price">¥{{other.price | price}}</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div dropdown>
                                        <button class="btn btn-link text-light-gray mln20" type="button" dropdown-toggle="dropdown-menu"> <i class="fa fa-document"></i>
                                            退改签政策
                                        </button>
                                        <div class="dropdown-menu panel-body overflow-dropdown">
                                            <p class="content-word-break">{{other.policy}}</p>
                                            <div class="empty-msg empty-msg-sm" ng-if="!other.policy">
                                                <p class="msg">无退改签政策信息</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </section>
                        </section>
                    </li>
                </ul>
            </div>
        </section>
    </div>
    <div class="col-xs-12 col-md-5 col-lg-4">
        <section class="panel order-other-info panelcontent2016">
            <div class="panel-heading"  ng-click="vm.showContactInfo = !vm.showContactInfo">
                <a>
                    <span class="pull-right text-muted">
                        <i class="fa fa-sort-desc" aria-hidden="true" ng-show="!vm.showContactInfo"></i>
                        <i class="fa fa-sort-asc" aria-hidden="true" ng-show="vm.showContactInfo"></i>
                    </span>
                    <h3 class="h6 contentheader2016">联系信息</h3>
                </a>
            </div>
            <div class="panel-body border pt0" ng-if="vm.showContactInfo">
                <ul class="layout-table pay-hg content-word-break pl10 pr10 content2016">
                    <li class="row contentlist2016">
                        <label class="layout-item">联系人</label>
                        <span class="layout-item pull-right">{{vm.supDetailInfo.connectInfo.name}}</span>
                    </li>
                    <li class="row contentlist2016">
                        <label class="layout-item">手机</label>
                        <span class="layout-item pull-right">{{vm.supDetailInfo.connectInfo.phonenumber}}</span>
                    </li>
                    <li class="row contentlist2016">
                        <label class="layout-item">电子邮箱</label>
                        <span class="layout-item pull-right">{{vm.supDetailInfo.connectInfo.email}}</span>
                    </li>
                </ul>
            </div>
        </section>
        <section class="panel order-other-info panelcontent2016" ng-if="vm.supDetailInfo.invoice">
            <div class="panel-heading" ng-click="vm.showAddressInfo = !vm.showAddressInfo">
                <a>
                    <span class="pull-right text-muted">
                        <i class="fa fa-sort-desc" aria-hidden="true" ng-show="!vm.showAddressInfo"></i>
                        <i class="fa fa-sort-asc" aria-hidden="true" ng-show="vm.showAddressInfo"></i>
                    </span>
                    <h3 class="h6 border contentheader2016" >配送地址</h3>
                </a>
            </div>
            <div class="panel-body border pt0" ng-if="vm.showAddressInfo">
                <ul class="layout-table pl10 pr10 pay-hg content-word-break content2016">
                    <li class=" contentlist2016">
                        <label class="layout-item">联系人</label>
                        <span class="layout-item pull-right">{{vm.supDetailInfo.deliveryAddress.name}}</span>
                    </li>
                    <li class=" contentlist2016">
                        <label class="layout-item">手机</label>
                        <span class="layout-item pull-right">{{vm.supDetailInfo.deliveryAddress.phonenumber}}</span>
                    </li>
                    <li class=" contentlist2016">
                        <label class="layout-item">收件地址</label>
                        <span class="layout-item pull-right">{{vm.supDetailInfo.deliveryAddress.address}}</span>
                    </li>
                </ul>
            </div>
        </section>
        <section class="panel order-other-info panelcontent2016"  ng-if="vm.supDetailInfo.invoice">
            <h3 class="panel-heading h6 border contentheader2016">发票抬头</h3>
            <div class="panel-body pt0">
                <ul class="layout-table pl10 pr10 pay-hg content-word-break content2016">
                    <li class="row contentlist2016 contentlist201601" style="text-indent:20px;">
                        {{vm.supDetailInfo.invoiceInfo}}
                    </li>
                </ul>
            </div>
        </section>
        <section class="panel order-other-info policy-info panelcontent2016">
            <header class="panel-heading" ng-click="vm.showPolicyContent = !vm.showPolicyContent">
                <a>
                    <span class="pull-right text-muted">
                        <i class="fa fa-sort-desc" aria-hidden="true" ng-show="!vm.showPolicyContent"></i>
                        <i class="fa fa-sort-asc" aria-hidden="true" ng-show="vm.showPolicyContent"></i>
                    </span>
                    <h3 class="h6 contentheader2016">政策说明</h3>
                </a>
            </header>
            <div ng-if="vm.showPolicyContent">
                <div class="panel-body content-word-break border pt0" ng-class="{true:'policycontent',flase:''}[vm.showMore]">
                    <p class="policy2016" ng-if="vm.supDetailInfo.policy">
                        {{vm.supDetailInfo.policy}}
                    </p>
                    <p class="policy2016" ng-if="!vm.supDetailInfo.policy">
                        暂无政策说明
                    </p>
                </div>
                <div class="text-center policy-show-more">
                    <a class="text-muted" ng-click="vm.showMore = !vm.showMore">
                        <span ng-if="vm.showMore">显示更多</span>
                        <span ng-if="!vm.showMore">隐藏更多</span>
                    </a>
                </div>
            </div>
        </section>
        <section class="panel order-amount">
            <header class="panel-heading border p20">
                <span class="pull-right text-muted pay-time" ng-if="vm.orderPriceInfo.paymentTime">
                    请在<time go-countdown seconds="{{vm.orderPriceInfo.paymentTime}}"></time>内支付
                </span>
                <h3 class="h6">订单金额</h3>
            </header>
            <div class="panel-body amountBody">
                <ul class="list-style-none pay-hg asdasd">
                    <li ng-if = "vm.orderPriceInfo.paymentDetail.airTickets > 0">
                        <span>机票预订<i class="pay-x"></i></span>
                        <span class="price pull-right">
                            <span class="text-orange">+</span>
                            ¥{{vm.orderPriceInfo.paymentDetail.airTickets | price}}
                        </span>
                    </li>
                    <li ng-if = "vm.orderPriceInfo.paymentDetail.hotelCos > 0">
                        <span>酒店预订<i class="pay-d" ng-if="vm.orderPriceInfo.paymentDetail.hasHotelPayLater"></i><i class="pay-x"></i></span>
                        <span class="price pull-right">
                            <span class="text-orange">+</span>
                            ¥{{vm.orderPriceInfo.paymentDetail.hotelCos | price}}
                        </span>
                    </li>
                    <li ng-if = "vm.orderPriceInfo.paymentDetail.otherCos > 0">
                        <span>其他预订<i class="pay-d" ng-if="vm.orderPriceInfo.paymentDetail.hasOtherPayLater"></i><i class="pay-x"></i></span>
                        <span class="price pull-right">
                            <span class="text-orange">+</span>
                            ¥{{vm.orderPriceInfo.paymentDetail.otherCos | price}}
                        </span>
                    </li>
                    <li ng-if = "vm.orderPriceInfo.paymentDetail.serviceCos > 0">
                        <span>服务费用<i class="pay-x"></i></span>
                        <span class="price pull-right">
                            <span class="text-orange">+</span>
                            ¥{{vm.orderPriceInfo.paymentDetail.serviceCos | price}}
                        </span>
                    </li>
                    <li ng-if = "vm.orderPriceInfo.paymentDetail.chargeBackCos > 0">
                        <span>退改签费<i class="pay-x"></i></span>
                        <span class="price pull-right">
                            <span class="text-orange">+</span>
                            ¥{{vm.orderPriceInfo.paymentDetail.chargeBackCos | price}}
                        </span>
                    </li>
                    <li ng-if = "vm.orderPriceInfo.paymentDetail.preferentialCos > 0">
                        <span>优惠金额<i class="pay-x"></i></span>
                        <span class="price pull-right">
                            <span class="text-orange">-</span>
                            ¥{{vm.orderPriceInfo.paymentDetail.preferentialCos | price}}
                        </span>
                    </li>
                    <li>
                        <span>订单总金额</span>
                        <span class="price pull-right">
                            <span class="text-orange">=</span>
                            ¥{{vm.orderPriceInfo.paymentDetail.count | price}}
                        </span>
                    </li>
                </ul>
                <span style="display:block;width:100%;height:1px;background-color:#e2e2e2;margin:14px 0;"></span>
                <ul class="list-style-none pay-hg asdasd">
                    <li>
                        <span>到店付</span>
                        <span class="price pull-right">¥{{vm.orderPriceInfo.paymentDetail.orderPayLater | price}}</span>
                    </li>
                    <li ng-if="vm.orderPriceInfo.paymentDetail.alreadyPay">
                        <span>已支付</span>
                        <span class="price pull-right">¥{{vm.orderPriceInfo.paymentDetail.alreadyPay | price}}</span>
                    </li>
                    <li>
                        <span>{{ vm.orderPriceInfo.paymentDetail.needToPay > 0 ? '现在支付':'应退款' }}</span>
                        <span class="price pull-right text-orange">¥{{vm.orderPriceInfo.paymentDetail.needToPay | price}}</span>
                    </li>
                </ul>
            </div>
            <footer class="panel-footer" ng-if="!isAdmin">
                <ul class="list-style-none">
                    <li class="mt10">
                        <button ng-if="vm.orderPriceInfo.paymentDetail.needToPay > 0 && vm.basicInfo.status == '1'" ng-click="api.pay()" class="btn btn-warning btn-block btn-lg" type="button">立即支付</button>
                        <button ng-if="vm.orderPriceInfo.paymentDetail.needToPay <= 0 && vm.basicInfo.status == '1'" ng-click="api.comfigOrder()" class="btn btn-warning btn-block btn-lg" type="button">确认订单</button>
                    </li>
                    <li class="mt10">
                        <button ng-if="vm.basicInfo.status == '3'" ng-click="api.showQuit()" class="btn btn-default btn-block btn-lg" type="button">申请退改签</button>
                    </li>
                </ul>
            </footer>
        </section>
    </div>
</div>
